[arch-commits] Commit in libedit/trunk (PKGBUILD)

Vesa Kaihlavirta vesa at archlinux.org
Fri Oct 10 01:22:42 EDT 2008


    Date: Friday, October 10, 2008 @ 01:22:42
  Author: vesa
Revision: 14723

upgpkg: libedit 20080712_2.11-2
    libedit-20080712_2.11-2 initial testing (try #3, this time with PKGBUILD in the repo :)

Added:
  libedit/trunk/PKGBUILD

----------+
 PKGBUILD |   22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

Added: PKGBUILD
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2008-10-10 05:22:42 UTC (rev 14723)
@@ -0,0 +1,22 @@
+# Maintainer: Vesa Kaihlavirta <vesa at archlinux.org>
+# Contributor: Roman Cheplyaka <roma at ro-che.info>
+pkgname=libedit
+pkgver=20080712_2.11
+pkgrel=2
+pkgdesc="Berkeley-style licensed command line editor library"
+arch=(i686 x86_64)
+url="http://www.thrysoee.dk/editline/"
+license=('BSD')
+source=("http://www.thrysoee.dk/editline/libedit-${pkgver/_/-}.tar.gz")
+options=(!libtool)
+md5sums=('140c56efbc68d7255b7045eb604e8a45')
+
+build() {
+  cd $startdir/src/$pkgname-${pkgver/_/-}
+  ./configure --prefix=/usr
+  make || return 1
+  make prefix=$startdir/pkg/usr install
+
+  mv $startdir/pkg/usr/share/man/man3/editline.3 $startdir/pkg/usr/share/man/man3/el.3
+  install -D -m0644 COPYING $startdir/pkg/usr/share/licenses/libedit/COPYING
+}




More information about the arch-commits mailing list